#include <Grove_LED_Bar.h>
#include "Ultrasonic.h"

#include <SoftwareSerial.h>
#include <MP3Player_KT403A.h>

Ultrasonic ultrasonic(2);
Ultrasonic ultrasonic2(8);


Grove_LED_Bar bar(5, 4, 0);  // Clock pin, Data pin, Orientation

SoftwareSerial mp3(6, 7);


void setup()
{ 
  Serial.begin(9600);
  // nothing to initialize
  bar.begin();
  bar.setGreenToRed(1);

  mp3.begin(9600);
  delay(100);
    
  SelectPlayerDevice(0x02);       // Select SD card as the player device.
  SetVolume(0x0E);                // Set the volume, the range is 0x00 to 0x1E.
}

void loop()
{
  
  // LED BAR Walk through the levels
  for (int i = 0; i <= 10; i++)
  {
    bar.setLevel(i);
    delay(100);
  }

  long RangeInCentimeters;
  RangeInCentimeters = ultrasonic.MeasureInCentimeters(); // two measurements should keep an interval
  Serial.print(RangeInCentimeters);//0~400cm
  Serial.print("  -  ");//0~400cm
  RangeInCentimeters = ultrasonic2.MeasureInCentimeters(); 
  Serial.print(RangeInCentimeters);//0~400cm
  Serial.println(" cm");

  if(RangeInCentimeters < 40 ) {
    SpecifyMusicPlay(1);
    delay(5000);
  }
  
}
